import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './module/user/state';
import * as umutations from './module/user/mutations';
import admin from './module/user/action';
import selfShop from './module/shop/selfShop';
import goods from './module/shop/goods';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: { admin, selfShop, goods },
});
